﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Sample.Models;
using Infragistics.Web.Mvc;
using Core.Data;

namespace Sample.Controllers
{
    public class ChainingController : Controller
    {
        public ActionResult DefinedColumns()
        {
            //return View(GetProjectData());
            return View();
        }

        [GridDataSourceAction]
        public ActionResult GetProjects()
        {
            return View(GetProjectData());
        }

        private static IQueryable<Projects> GetProjectData()
        {
            DevelopmentDBEntities entiries = new DevelopmentDBEntities();

            IQueryable<Projects> query = from p in entiries.Projects
                                          orderby p.ProjectID
                                          select p;
            return query;
        }
    }
}
